Ergebnis 1 bis 8 von 8

Thema: Upgrade auf 4.2.5 wegen Php7

  1. #1
    Neuer Benutzer
    Registriert seit
    31.01.2006
    Beiträge
    9

    Upgrade auf 4.2.5 wegen Php7

    Hallo zusammen

    Mich hats kalt erwischt-
    Aufgrund des Updates auf PHP 7.x hab ich nun keinen Zugriff mehr.
    Ein Upgrade schlägt fehl. Ich vermute wegen des deaktivierten Blogs/Cms

    Die class_upgrade_vbblog.php hab ich schon geändert, aber das hats auch nicht gebracht.

    hat jemand ne Ahnung wo ich das händisch in der Datenbank für die beiden Sachen aktivieren kann?
    _____________________________________
    http://www.win-tipps-tweaks.de

  2. #2
    vB-Guru Avatar von Jaydee
    Registriert seit
    29.05.2008
    Ort
    ...tief im Westen....
    Alter
    57
    Beiträge
    13.440
    Hallo,

    über die Datenbank macht nur bedingt Sinn, aber Du kannst das gesamte Plugin-System über die config.php deaktivieren und aktivieren, indem Du folgende Zeile(n) einfügst:

    Ausschalten
    PHP-Code:
    define('DISABLE_HOOKS'true); 

    Einschalten: die Zeile wieder entfernen, oder:
    PHP-Code:
    // define('DISABLE_HOOKS', true); 

    Damit ist aber zunächst das gesamte Plugin-System ein- oder ausgeschaltet, nicht einzelne Plugins oder Add-ons.
    Über die tools.php (aus dem vB-Paket) solltest Du eigentlich zumindest wieder in das ACP gelangen, nachdem damit der Datastore zurück gesetzt wurde. Darüber könntest Du dann wie gewohnt CMS und Blog kurz aktivieren.

    Ich hatte aber selbst das Problem noch nie und kann daher nicht zu 100% sagen, ob in dem Fall die alte tools.php wirklich hilft (oder ebenfalls bereits an PHP 7 scheitert).
    Wenn Du die aus dem 4.2.5er Paket benutzt, sollte das aber funktionieren.

    Von welcher PHP- und vBulletin Version kommst Du denn jeweils? Das wäre evtl. auch noch interessant zu wissen.
    Gruß
    Jörg


    Die deutsche Rechtschreibung ist Freeware. Das heißt, Du kannst sie kostenlos nutzen.
    Allerdings ist sie nicht Open Source, d.h. Du darfst sie nicht verändern oder in veränderter Form veröffentlichen.



  3. #3
    Neuer Benutzer
    Registriert seit
    31.01.2006
    Beiträge
    9
    Besten Dank für den Tipp mit define('DISABLE_HOOKS', true);
    damit konnte ich dann was bewegen. Tools.php ging nicht
    bisher hatte ich die vb 4.2.3 laufen.
    _____________________________________
    http://www.win-tipps-tweaks.de

  4. #4
    vB-Guru Avatar von Jaydee
    Registriert seit
    29.05.2008
    Ort
    ...tief im Westen....
    Alter
    57
    Beiträge
    13.440
    Die tools.php war auch richtig hochgeladen? Aber schön, dass es wieder funktioniert, das ist ja die Hauptsache.

    Normalerweise sollten die Hoster auch RECHTZEITIG über die Abschaltung von PHP 5.x informieren, damit der Kunde reagieren kann.
    Leider tun das nicht alle und verlassen sich eher darauf, dass die Scripte des Kunden "das schon mitmachen".
    Die "namhaften" stellen aber meist für eine Übergangszeit noch mehrere Versionen zur Verfügung, die man dann über Handler switchen kann (und so mindestens ein Update hinbekommt).
    Deshalb hatte ich persönlich das Problem noch nie.

    Wenn die Vorversion ZU alt ist, kann man ein Update ggf. in einzelne Steps zerlegen und dann zwischendurch die PHP-Version wechseln.
    Oder aber das Ganze auf einem lokalen Testserver vorbereiten, auf dem man mehr Handlungsspielraum hat und das fertige Resultat dann auf den PHP 7.x Server laden.
    Gruß
    Jörg


    Die deutsche Rechtschreibung ist Freeware. Das heißt, Du kannst sie kostenlos nutzen.
    Allerdings ist sie nicht Open Source, d.h. Du darfst sie nicht verändern oder in veränderter Form veröffentlichen.



  5. #5
    Neuer Benutzer
    Registriert seit
    31.01.2006
    Beiträge
    9
    Hi Jörg

    Stimmt.
    Aber der Fehler liegt bei uns. Haben das echt verpennt.
    Aber Strafe muss sein
    Das einzige was mich nervt, ist das ich nur noch die Wahl zwischen PHP 7.1 und 7.2 habe und wenn ich hier oben lese das bei 7.1 die Unterstützung für VB endet, frage ich mich wie das ausgeht.
    Hab im Moment nur das Problem mit den Urls.
    Bisher haben wir immer noch die VBSEO-Leiche mitgetragen und die urls genutzt.
    Nun habe ich die Suchmaschinenfreundlichen urls per modrewrite das vb am laufen und versuche das anzupassen, aber ich gebe zu das ich das mit Halbwissen angehe.
    Vielleicht hast du ja als VB-Guru einen Tipp für mich.
    Bisherige urls hatten die z.B. die Form
    Code:
    https://www.domain.de/forum/windows-10-tipps/26158-windows-10-taskmanager-schneller-aufrufen.html
    Neu vb-urls
    Code:
    https://www.domain.de/forum/threads/26158-Windows-10-Taskmanager-schneller-aufrufen
    Im Grunde müsste eigentlich "nur" Threads durch Forenkategorie ersetzt werden und das .html angefügt werden um den alten Zustand wiederherzustellen.
    Vermute aber das es nicht nur per htaccess lösbar ist.

    Gruss Michael
    _____________________________________
    http://www.win-tipps-tweaks.de

  6. #6
    vBulletin-Germany Team Avatar von pogo
    Registriert seit
    01.06.2001
    Ort
    Hannover
    Alter
    43
    Beiträge
    16.401
    Blog-Einträge
    5
    Nein, du willst die alten vBSEO URLs nicht wiederherstellen.

    Du willst die alten vBSEO URLs auf die neuen vBulletin URLs umleiten.

    Also aus deinem Beispiel willst du
    https://www.domain.de/forum/windows-10-tipps/26158-windows-10-taskmanager-schneller-aufrufen.html
    umschreiben in
    https://www.domain.de/forum/threads/26158

    Das sollte mit dieser Regel klappen:
    RewriteEngine On #falls es schon in der .htaccess steht, weglassen
    RewriteRule [^/]+/([0-9]+)-[^/]+\.html https://www.domain.de/forum/threads/$1 [L,R=301]


    Du musst dann schauen, welche URLs noch auf andere Seiten verlinken und probieren, ob man die ähnlich umleiten kann.

    Mein Wunschzettel
    Warum du keine Anhänge herunterladen kannst!
    Suchst du Hacks, Add-ons, Modifikationen, Styles, Buttons und mehr? -> Auf zu vB.org!

  7. #7
    Neuer Benutzer
    Registriert seit
    31.01.2006
    Beiträge
    9
    Danke für deine Hilfe
    _____________________________________
    http://www.win-tipps-tweaks.de

  8. #8
    Neuer Benutzer
    Registriert seit
    27.09.2015
    Beiträge
    24
    Zitat Zitat von mihil Beitrag anzeigen
    Das einzige was mich nervt, ist das ich nur noch die Wahl zwischen PHP 7.1 und 7.2 habe und wenn ich hier oben lese das bei 7.1 die Unterstützung für VB endet, frage ich mich wie das ausgeht.
    Mit meinen Änderungen läuft vBulletin 4 sogar unter PHP 7.3. http://forum.vbulletin-germany.com/s...l=1#post399275

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Ähnliche Themen

  1. Forum - PHP7/Keyhelp/Plesk auf Debian9
    Von Nobby im Forum vBulletin 4 Installation und Upgrades
    Antworten: 2
    Letzter Beitrag: 02.10.2017, 19:00
  2. Allgemein - Wegen Krankheit......
    Von Moni im Forum vBulletin 4 Fragen und Probleme
    Antworten: 0
    Letzter Beitrag: 03.11.2014, 19:13
  3. Upgrade von 3.5.4 auf 3.5.7 - Fehlermeldung beim Aufruf von upgrade.php
    Von marce im Forum vBulletin 3.5 Fragen und Probleme
    Antworten: 2
    Letzter Beitrag: 15.12.2006, 07:08
  4. wegen anbindung von anderen Boards fragen wegen Passwort
    Von JensX im Forum vBulletin 3.0 Fragen und Probleme
    Antworten: 11
    Letzter Beitrag: 25.01.2005, 18:03
  5. wegen Fehler bei uns....
    Von azmi im Forum Der Testplatz
    Antworten: 1
    Letzter Beitrag: 22.12.2003, 09:00

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •